nbcj.net
当前位置:首页 >> 为什么linux下查看opEnssl版本出错? >>

为什么linux下查看opEnssl版本出错?

centos下获取openssl的版本信息用命令: openssl version openssl version -a

如果你是redhat的操作系统,试试看用rpm包来安装你的openssl,他会把需要的依赖库等文件帮你一起安装好 我的redhat6.8的系统用到的ssl是下面两个 openssl-1.0.1e-48.el6.x86_64.rpm openssl-1.0.1e-48.el6.i686.rpm

rpm -qa|grep -i openssl Linux是一套免费使用和自由传播的类Unix操作系统,是一个基于POSIX和UNIX的多用户、多任务、支持多线程和多CPU的操作系统。它能运行主要的UNIX工具软件、应用程序和网络协议。它支持32位和64位硬件。Linux继承了Unix以...

openssl多数和lighttpd、apache等结合使用。安装openssl库应该不难,我不知道你用什么版本的linux,像debian就用apt-get install openssl,ubuntu用sudo apt-get install openssl。其他版本的安装包也都差不多,大同小异。

看样子你得先howto使用拉。 你在图形模式差不多和微软类似,点点即可。文本模式下你就得howto多问问,了解一下命令的使用方法。

应该是版本错误吧。你看看你装的这个 openssl 提供的文件名是什么。 还有位置对不对。 Linux 的依赖问题一直不好解决,都是要靠软件包管理器进行处理的。 但前提是,你得拿来针对你系统的东西。各种乱找,不出问题才奇怪呢。

1、读一下INSTALL文档 2、make clean清理一下 3、重新来一次 ./config --prefix=/usr/local --openssldir=/usr/local/openssl make;make test;make install

使用VS2005下的Visual Studio 2005 Command Prompt进入控制台模式(这个模式会自动设置各种环境变量) 、解压缩openssl的包,进入openssl的目录 、perl configure VC-WIN32 尽量在这个目录下执行该命令,否则找不到Configure文件,或者指定完整的...

之前有在cediy网上的操作系统里有看到过关于linux的相关分享,你可以去那里找一下,也许能找到你要找的答案。

nginx一般我们使用的是openssl静态加载的。也就是你系统安装openssl的rpm包。所以你要查看openssl版本,只要看你系统安装的openssl版本就可以了,操作如下: rpm -aq | grep openssl

网站首页 | 网站地图
All rights reserved Powered by www.nbcj.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com